com.versionone.apiclient

## Class Attachments

- java.lang.Object
- - com.versionone.apiclient.Attachments

- All Implemented Interfaces:
    IAttachments

  Deprecated.
  This class has been deprecated. Please use methods of the Services class instead.

      @Deprecated
      public class Attachments
      extends Object
      implements IAttachments

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Attachments(IAPIConnector connector)` Deprecated.
    `Attachments(V1Connector v1connector)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `InputStream` | `getReader(String key)` Deprecated. Getting reader
    `OutputStream` | `getWriter(String key, String contentType)` Deprecated. Getting writer
    `void` | `setWriter(String key)` Deprecated. Setting Writer

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Attachments

          public Attachments(IAPIConnector connector)

      Deprecated.

    - #### Attachments

          public Attachments(V1Connector v1connector)

      Deprecated.

  - ### Method Detail

    - #### getReader

          public InputStream getReader(String key)
                                throws ConnectionException

      Deprecated.
      Getting reader
      Specified by:
        `getReader` in interface `IAttachments`
      Parameters:
        `key` - path to the data on server
      Returns:
        the stream for reading data
      Throws:
        `ConnectionException` - if any connection problems occur

    - #### getWriter

          public OutputStream getWriter(String key,
                                        String contentType)
                                 throws ConnectionException

      Deprecated.
      Getting writer
      Specified by:
        `getWriter` in interface `IAttachments`
      Parameters:
        `key` - path to the data on server
        `contentType` - Content-type of HTTP header
      Returns:
        the stream for writing data
      Throws:
        `ConnectionException` - if any connection problems occur

    - #### setWriter

          public void setWriter(String key)
                         throws ConnectionException,
                                AttachmentLengthException

      Deprecated.
      Setting Writer
      Specified by:
        `setWriter` in interface `IAttachments`
      Parameters:
        `key` - path to the data on server
      Throws:
        `ConnectionException` - if any connection problems occur
        `AttachmentLengthException` - if connection problem occurs by attachment size is too big

Copyright © 2021 VersionOne, Inc.. All rights reserved.